## erlang 18.3-dfsg

=== debian/changelog ===
erlang (1:18.3-dfsg-1ubuntu3.1) xenial-security; urgency=medium

  * SECURITY UPDATE: heap overflow in PCRE
    - debian/patches/CVE-2016-10253.patch: add mutual recursion detection
      to erts/emulator/pcre/pcre_compile.c.
    - CVE-2016-10253
  * SECURITY UPDATE: Adaptive Chosen Ciphertext attack in TLS server
    - debian/patches/CVE-2017-1000385.patch: add countermeasurements for
      Bleichenbacher attack in lib/ssl/src/ssl_connection.erl,
      lib/ssl/src/ssl_connection.hrl, lib/ssl/src/tls_connection.erl.
    - CVE-2017-1000385

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 07 Dec 2017 08:07:14 -0500

erlang (1:18.3-dfsg-1ubuntu3) xenial; urgency=medium

  * Drop erlang-wx from the Recommends: of erlang-examples, so that this
    still stays out of main.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Apr 2016 01:40:49 -0700

erlang (1:18.3-dfsg-1ubuntu2) xenial; urgency=medium

  * Restore erlang-wx now that main is allowed to build-depend on universe.
    LP: #1563182.
  * Restore build dependency on fop.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Apr 2016 01:30:41 +0000

erlang (1:18.3-dfsg-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.
    - d/control: Drop BD on fop to support demotion to universe.

 -- James Page <james.page@ubuntu.com>  Tue, 22 Mar 2016 12:25:14 +0000

erlang (1:18.3-dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Removed patch which fixed FTBFS for GNU/kFreeBSD and GNU/Hurd introduced
    in 1:18.2-dfsg-2 because the bug is fixed upstream.
  * Bumped standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 17 Mar 2016 21:22:08 +0300

erlang (1:18.2-dfsg-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/control: Drop libwxgtk3.0-dev build dependency. Wx isn't in main,
      and not supposed to.
    - d/control: Drop erlang-wx binary and associated dependencies from
      other erlang-* packages.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/p/bytecode-compat.patch: Specify source/target = 1.5 when compiling
      Java source code.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.
    - d/control: Drop BD on fop to support demotion to universe.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Jan 2016 15:44:38 +0200

erlang (1:18.2-dfsg-2) unstable; urgency=medium

  * Fixed FTBFS for GNU/kFreeBSD and GNU/Hurd due to incorrectly checked
    presence of gethostname_r() function.
  * Fixed FTBFS for X32 architecture due to incorrectly used inline assembly.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 27 Dec 2015 12:40:53 +0300

erlang (1:18.2-dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 20 Dec 2015 21:11:53 +0300

erlang (1:18.1-dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 07 Nov 2015 10:33:50 +0300

erlang (1:18.0-dfsg-2) unstable; urgency=medium

  * Added a patch from Chris Lamb which allows Erlang compiler to put
    a specified timestamp into the compiled binaries instead of the
    current time. This helps with reproducibility of Erlang binaries
    (closes: #795834).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 17 Aug 2015 15:14:59 +0300

erlang (1:18.0-dfsg-1ubuntu2) xenial; urgency=medium

  * d/control: Drop BD on fop to support demotion to universe.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Jan 2016 13:56:48 +0000

=== debian/control ===
Source: erlang
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Section: interpreters
Priority: optional
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 8.0.0), autoconf (>= 2.50), openssl, libssl-dev, m4,
 libncurses5-dev, autotools-dev, unixodbc-dev, bison, flex, ed,
 libwxgtk3.0-dev, dctrl-tools, xsltproc,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
 libsctp-dev [linux-any], libsystemd-dev [linux-any], dh-systemd
Build-Depends-Indep: fop, default-jdk | sun-java6-jdk
Build-Conflicts: autoconf2.13, libwxgtk2.4-dev, libwxgtk2.6-dev, libwxgtk2.8-dev
Homepage: http://www.erlang.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-erlang/erlang/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-erlang/erlang/trunk/

Package: erlang-base
Architecture: any
Depends: procps, adduser, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${libsctp:Version}, erlang-crypto (= ${binary:Version}), erlang-syntax-tools (= ${binary:Version})
Suggests: erlang-tools (= ${binary:Version}),  erlang, erlang-manpages, erlang-doc
Conflicts: erlang (<< ${source:Version}), erlang-base-hipe, erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2), erlang-doc-html (<< 1:13.b.4)
Replaces: erlang (<< ${source:Version}), erlang-base-hipe, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${source:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2), erlang-doc-html (<< 1:13.b.4)
Provides: erlang-abi-17.0, erlang-abi-15.b
Description: Erlang/OTP virtual machine and base applications
 This package contains the Erlang/OTP runtime implementation, which is
 configured and built without HiPE support (compiles to byte-code only),
 and minimal set of Erlang applications:
  compiler - compiles Erlang code to byte-code;
  erts - the Erlang runtime system application;
  kernel - code necessary to run the Erlang runtime system itself;
  ose - code for Enea OSE operating system;
  sasl - the system architecture support libraries application;
  stdlib - modules for manipulating lists, strings, files etc.


Package: erlang-base-hipe
Architecture: amd64 i386 powerpc ppc64 ppc64el sparc solaris-i386
Priority: extra
Depends: procps, adduser, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${libsctp:Version}, erlang-crypto (= ${binary:Version}), erlang-syntax-tools (= ${binary:Version})
Suggests: erlang-edoc (= ${binary:Version}), erlang-gs (= ${binary:Version}), erlang-tools (= ${binary:Version}), erlang, erlang-manpages, erlang-doc
Conflicts: erlang (<< ${source:Version}), erlang-base, erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2), erlang-doc-html (<< 1:13.b.4)
Replaces: erlang (<< ${source:Version}), erlang-base, erlang-nox (<< ${source:Version}), erlang-x11 (<< ${source:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2), erlang-doc-html (<< 1:13.b.4)
Provides: erlang-abi-17.0, erlang-abi-15.b
Description: Erlang/OTP HiPE enabled virtual machine and base applications
 This package contains the Erlang/OTP runtime implementation, which is
 configured and built with HiPE support (allows compiling to native code),
 and minimal set of Erlang applications:
  compiler - compiles Erlang code to byte-code;
  erts - the Erlang runtime system application;
  kernel - code necessary to run the Erlang runtime system itself;
  ose - code for Enea OSE operating system;
  sasl - the system architecture support libraries application;
  stdlib - modules for manipulating lists, strings, files etc.


Package: erlang-asn1
Architecture: any
Depends: ${erlang-base}, ${shlibs:Depends}, ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe (<< ${binary:Version}), erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP modules for ASN.1 support
 The Asn1 application contains modules with compile-time and run-time
 support for ASN.1 in Erlang/OTP.


Package: erlang-common-test
Architecture: any
Depends: ${erlang-base}, erlang-crypto (= ${binary:Version}), erlang-debugger (= ${binary:Version}), erlang-inets (= ${binary:Version}), erlang-runtime-tools (= ${binary:Version}), erlang-snmp (= ${binary:Version}), erlang-ssh (= ${binary:Version}), erlang-test-server (= ${binary:Version}), erlang-tools (= ${binary:Version}), erlang-webtool (= ${binary:Version}), erlang-xmerl (= ${binary:Version}), libjs-jquery, libjs-jquery-tablesorter, ${shlibs:Depends}, ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe (<< ${binary:Version}), erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP application for automated testing
 Common Test is a portable application for automated testing. It is
 suitable for black-box testing of target systems of any type (i.e.
 not necessarily implemented in Erlang), as well as for white-box
 testing of Erlang/OTP programs. Black-box testing is performed via
 standard interfaces (such as SNMP, HTTP, Corba, Telnet, etc) and,
 if required, via user specific interfaces (often called test ports).
 White-box testing of Erlang/OTP programs is easily accomplished by
 calling the target API functions directly from the test case functions.
 Common Test also integrates usage of the OTP cover tool for code
 coverage analysis of Erlang/OTP programs.


Package: erlang-corba
Architecture: any
Depends: ${erlang-base}, erlang-inets (= ${binary:Version}), erlang-mnesia (= ${binary:Version}), erlang-ssl (= ${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe (<< ${binary:Version}), erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP applications for CORBA support
 The Orber application is an Erlang implementation of a CORBA
 Object Request Broker.
 .
 The cosEvent application is an Erlang implementation of a CORBA
 Service CosEvent.
 .
 The cosEventDomain application is an Erlang implementation of a
 CORBA Service CosEventDomainAdmin.
 .
 The cosFileTransfer Application is an Erlang implementation of
 the OMG CORBA File Transfer Service.
 .
 The cosNotification application is an Erlang implementation of
 the OMG CORBA Notification Service.
 .
 The cosProperty Application is an Erlang implementation of the
 OMG CORBA Property Service.
 .
 The cosTime application is an Erlang implementation of the OMG
 CORBA Time and TimerEvent Services.
 .
 The cosTransactions application is an Erlang implementation of
 the OMG CORBA Transaction Service.


Package: erlang-crypto
Architecture: any
Depends: ${erlang-base}, ${shlibs:Depends}, ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe (<< ${binary:Version}), erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP cryptographic modules
 The Crypto Application provides functions for computation of message
 digests, encryption and decryption functions. It uses OpenSSL for
 actual calculations.


Package: erlang-debugger
Architecture: any
Depends: ${erlang-base}, erlang-wx (= ${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe (<< ${binary:Version}), erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP application for debugging and testing
 Debugger is a graphical tool which can be used for debugging and
 testing of Erlang programs. For example, breakpoints can be set,
 code can be single stepped and variable values can be inspected
 and modified.


Package: erlang-dialyzer
Architecture: any
Depends: ${erlang-base}, erlang-syntax-tools (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: erlang-wx (= ${binary:Version}), erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe (<< ${binary:Version}), erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP discrepancy analyzer application
 Dialyzer is a static analysis tool that identifies software
 discrepancies such as type errors, unreachable code, unnecessary
 tests etc. in single Erlang modules or entire (sets of) applications.


Package: erlang-diameter
Architecture: any
Depends: ${erlang-base}, erlang-runtime-tools (= ${binary:Version}), erlang-ssl (= ${binary:Version}), erlang-syntax-tools (=${binary:Version}), ${misc:Depends}
Suggests: erlang, erlang-manpages, erlang-doc
Replaces: erlang (<< ${source:Version}), erlang-base (<< ${binary:Version}), erlang-base-hipe (<< ${binary:Version}), erlang-nox (<< ${source:Version}), erlang-x11 (<< ${binary:Version}), erlang-src (<< ${source:Version}), erlang-dev (<< ${binary:Version}), erlang-examples (<< ${source:Version}), erlang-mode (<< 1:12.b.1-dfsg-2), erlang-doc (<< ${source:Upstream-Version}), erlang-doc (>> ${source:Upstream-Version}-999), erlang-manpages (<= 1:11.b.1-2)
Description: Erlang/OTP implementation of RFC 6733 protocol
 Interface with which a user creates a service that sends and receives
 messages using the Diameter protocol as defined in RFC 6733.


Package: erlang-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: erlang
Conflicts: erlang-doc-html, erlang-base (<< 1:13.b.4), erlang-base-hipe (<< 1:13.b.4)
Replaces: erlang-doc-html
Provides: erlang-doc-html

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ROOT_DIR=$(shell pwd)
MAN_DIR = $(ROOT_DIR)/debian/erlang-docs/usr/lib/erlang/man

export HOME := $(ROOT_DIR)/debian

-include ${ROOT_DIR}/erts/vsn.mk
-include ${ROOT_DIR}/lib/diameter/vsn.mk
-include ${ROOT_DIR}/lib/erl_interface/vsn.mk
-include ${ROOT_DIR}/lib/jinterface/vsn.mk
-include ${ROOT_DIR}/lib/ic/vsn.mk
-include ${ROOT_DIR}/lib/tools/vsn.mk
-include ${ROOT_DIR}/lib/webtool/vsn.mk
-include ${ROOT_DIR}/lib/common_test/vsn.mk
-include ${ROOT_DIR}/lib/snmp/vsn.mk
-include ${ROOT_DIR}/lib/hipe/vsn.mk
SOURCE_VERSION=$(shell dpkg-parsechangelog | sed -ne's!^Version: \(.*\)-.*!\1!p')
ABI_VERSION=$(shell cat debian/control | sed -ne's!^Provides: erlang-abi-\([^ ,]*\).*!\1!p' | head -1)
HIPE_ARCHES=$(shell cat debian/control | grep '^Architecture:' | egrep -v '(all|any)' | sed -e 's/^Architecture: *//')

ifeq ($(findstring debug,$(DEB_BUILD_OPTIONS)),debug)
BUILD_HIPE := no
else
BUILD_HIPE := $(shell echo ' $(HIPE_ARCHES) ' | grep -c ' ${DEB_HOST_ARCH} ' | sed -es/1/yes/ -es/0/no/)
endif
ifeq ($(BUILD_HIPE), no)
BINARY_TARGETS=binary-erlang-base
INSTALL_RULE=install-stnd-stamp
TMPINSTALL_DIR=debian/erlang-stnd
ERLANGBASE=erlang-base (= $${binary:Version})
else
BINARY_TARGETS=binary-erlang-base binary-erlang-base-hipe
INSTALL_RULE=install-stnd-stamp install-hipe-stamp
TMPINSTALL_DIR=debian/erlang-hipe
ERLANGBASE=erlang-base (= $${binary:Version}) | erlang-base-hipe (= $${binary:Version})
endif

USE_KERNEL_POLL := $(shell echo ${DEB_HOST_ARCH} | egrep -c "hurd" | sed -es/1/no/ -es/0/yes/)
ifeq ($(USE_KERNEL_POLL), no)
KERNEL_POLL_OPT=--disable-kernel-poll
else
KERNEL_POLL_OPT=--enable-kernel-poll
endif

USE_CLOCK_GETTIME := $(shell echo ${DEB_HOST_ARCH} | egrep -c "bsd|hurd" | sed -es/1/no/ -es/0/yes/)
ifeq ($(USE_CLOCK_GETTIME), no)
CLOCK_GETTIME_OPT=
SYSTEMD_OPT=
else
CLOCK_GETTIME_OPT=--enable-clock-gettime
SYSTEMD_OPT=--enable-systemd
endif

# Temporary (until #475459 is fixed) disabling threads for sparc architecture
ifeq ($(DEB_HOST_ARCH), sparc)
THREAD_OPTS=--disable-threads --disable-smp-support
else
THREAD_OPTS=--enable-threads --enable-smp-support
endif

LIBSCTP=$(shell grep-status -s Depends -PX libsctp-dev |sed -e 's!.*\(libsctp[0-9]*\).*!\1!')
LIBSCTPDEP=$(shell grep-status -s Version -PX $(LIBSCTP) | sed -e's!^Version: \(.*\)-[^-]*!$(LIBSCTP) (>= \1)!')

ifeq ($(findstring debug,$(DEB_BUILD_OPTIONS)),debug)
CFLAGS=-g -O2 -fno-strict-aliasing
GEN_OPT_FLGS=-O2 -fno-strict-aliasing
TYPE=debug
ERL_COMPILE_FLAGS="+debug_info"
else
CFLAGS=-g -O2 -fno-strict-aliasing
GEN_OPT_FLGS=-O2 -fno-strict-aliasing
TYPE=
ERL_COMPILE_FLAGS=""
endif

# Enable IPv6 support in epmd
CPPFLAGS=-DEPMD6

JAVA_OPTIONS=-source 1.5 -target 1.5

JOBS=4

clean:
	dh_testdir
	dh_testroot
	#
	[ ! -f Makefile ] || ${MAKE} -j ${JOBS} clean
	rm -f lib/dialyzer/SKIP
	#
	# Remove installed erlang from debian/
	rm -rf debian/erlang-docs
	rm -rf debian/erlang-stnd
	rm -rf debian/erlang-hipe
	#
	# Restore replaced configure, config.guess, and config.sub files
	for i in `find ${ROOT_DIR} -name 'configure.backup'` ; do \
	    mv $$i $${i%%.backup} ; \
	done
	for i in `find ${ROOT_DIR} -name 'config.guess~'` ; do \
	    mv $$i $${i%%\~} ; \
	done
	for i in `find ${ROOT_DIR} -name 'config.sub~'` ; do \
	    mv $$i $${i%%\~} ; \
	done
	#
	# Remove files, which were generated from templates
	for i in debian/*.in debian/scripts/*.in ; do \
	     rm -f $${i%%.in} ; \
	done
	#
	# *.install were also generated on-the-fly
	rm -f debian/*.install
	rm -f debian/erlang-doc.links
	rm -f debian/erlang-doc.doc-base.erlang-erts
	#
	rm -f debian/AUTHORS
	#
	# Remove touched stamp files
	rm -f *-stamp
	#
	dh_clean -Xtest.erl.orig

automake: automake-stamp
automake-stamp:
	dh_testdir
	#
	# Return error if there are known nonfree docs in upstream tarball
	# Return error if there are prebuilt binaries in upstream tarball
	err=0 ; \
	for fn in `find lib/*/doc -name standard -or -name archive` ; do \
	    err=1 ; \
	    echo Found directory $$fn with non-free docs in upstream. Please remove it. ; \
	done ; \
	if [ -f prebuilt.files ] ; then \
	    err=1 ; \
	    echo Found prebuilt binaries in upstream. Please remove them. ; \
	fi ; \
	if [ $$err = 1 ] ; then \
	    echo ; \
	    echo Use get-orig-source target to get upstream tarball. ; \
	    echo ; \
	    false ; \
	fi
	#
	# Preserve configure scripts
	for i in `find ${ROOT_DIR} -not \( -wholename '*/.pc' -prune \) \
				    -a -name 'configure'` ; do \
	    cp -f $$i $$i.backup ; \
	done
	#
	# Replace config.guess and config.sub by installed in /usr/share/misc.
	# Also add suffix -gnu to ibm-linux in config.guess to fix FTBFS
	# on s390 architecture
	for i in `find ${ROOT_DIR} -not \( -wholename '*/.pc' -prune \) \
				    -a -name 'config.guess'` ; do \
	    cp -fb /usr/share/misc/config.guess $$i ; \
	    sed -i 's/-ibm-linux$$/-ibm-linux-gnu/g' $$i ; \
	done
	for i in `find ${ROOT_DIR} -not \( -wholename '*/.pc' -prune \) \
				    -a -name 'config.sub'` ; do \
	    cp -fb /usr/share/misc/config.sub $$i ; \
	done
	#
	# Regenerate configure scripts using autoconf
	for i in `find ${ROOT_DIR} -not \( -wholename '*/.pc' -prune \) \
				    -a -name 'configure.in' -printf "%h\n"`; do \
	    echo "autoconf'ing $${i}"; \
	    (cd $${i} && autoconf) \
	done
	touch automake-stamp

configure-hipe: configure-hipe-stamp
configure-hipe-stamp: automake-stamp
	dh_testdir
	#
	echo "BUILDING HIPE VERSION (BUILD_HIPE: $(BUILD_HIPE))"
	#
	[ ! -f Makefile ] || ${MAKE} -j ${JOBS} clean
	rm -f lib/dialyzer/SKIP
	#
	ERL_COMPILE_FLAGS="$(ERL_COMPILE_FLAGS)" \
	CFLAGS="$(CFLAGS)" \
	CPPFLAGS="$(CPPFLAGS)" \
	./configure --host=$(DEB_HOST_GNU_TYPE) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr \
		    --libexecdir=/usr/bin \
		    --infodir=/usr/share/info \
		    --mandir=/usr/share/man \
		    --enable-hybrid-heap \
		    $(THREAD_OPTS) \
		    --enable-hipe \
		    $(KERNEL_POLL_OPT) \
		    $(SYSTEMD_OPT) \
		    --enable-sctp \
		    $(CLOCK_GETTIME_OPT) \
		    --enable-dynamic-ssl-lib \
		    --with-ssl-rpath=no \
		    --enable-ethread-pre-pentium4-compatibility \
		    --enable-shared-zlib \
		    --without-ssl-zlib
	#
	touch configure-hipe-stamp

configure-stnd: configure-stnd-stamp
configure-stnd-stamp: automake-stamp
	dh_testdir
	#
	echo "BUILDING STANDARD VERSION (BUILD_HIPE: $(BUILD_HIPE))"
	#
	[ ! -f Makefile ] || ${MAKE} -j ${JOBS} clean
	rm -f lib/dialyzer/SKIP
	#
	ERL_COMPILE_FLAGS="$(ERL_COMPILE_FLAGS)" \
	CFLAGS="$(CFLAGS)" \
	CPPFLAGS="$(CPPFLAGS)" \
	./configure --host=$(DEB_HOST_GNU_TYPE) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr \
		    --libexecdir=/usr/bin \
		    --infodir=/usr/share/info \
		    --mandir=/usr/share/man \
		    --enable-hybrid-heap \
		    $(THREAD_OPTS) \
		    --disable-hipe \
		    $(KERNEL_POLL_OPT) \
		    $(SYSTEMD_OPT) \
		    --enable-sctp \
		    $(CLOCK_GETTIME_OPT) \
		    --enable-dynamic-ssl-lib \
		    --with-ssl-rpath=no \
		    --enable-ethread-pre-pentium4-compatibility \
		    --enable-shared-zlib \
		    --without-ssl-zlib
	#
	touch configure-stnd-stamp

define do-install
	echo "*** do-install called for $(INSTALL_DIR)."

	# Calls make install.
	${MAKE} -j ${JOBS} DESTDIR=$(INSTALL_DIR) TYPE=$(TYPE) install

	# Replace ROOTDIR in "erl" and "start" scripts for real rootdir
	# If there's no erl or start then it's better to fail than silently continue
	for dir in $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin		\
		   $(INSTALL_DIR)/usr/lib/erlang/bin; do			\
	    for val in erl start; do						\
		sed -i 's!ROOTDIR=.*!ROOTDIR=/usr/lib/erlang!' $${dir}/$${val}; \
	    done;								\
	done

	# Correct ERL_ROOT in RELEASES file
	sed 's!%ERL_ROOT%!/usr/lib/erlang!' \
	    $(INSTALL_DIR)/usr/lib/erlang/releases/RELEASES.src \

## erlang 18.3.4.4+dfsg

=== lib/inets/src/inets_app/Makefile ===
#
# %CopyrightBegin%
#
# Copyright Ericsson AB 2005-2015. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# %CopyrightEnd%
#
#

include $(ERL_TOP)/make/target.mk
EBIN = ../../ebin
include $(ERL_TOP)/make/$(TARGET)/otp.mk


# ----------------------------------------------------
# Application version
# ----------------------------------------------------
include ../../vsn.mk

VSN = $(INETS_VSN)


# ----------------------------------------------------
# Release directory specification
# ----------------------------------------------------
RELSYSDIR = $(RELEASE_PATH)/lib/$(APPLICATION)-$(VSN)


# ----------------------------------------------------
# Target Specs
# ----------------------------------------------------

MODULES = \
	inets \
	inets_service \
	inets_app \
	inets_sup \
	inets_trace \
	inets_lib \
	inets_time_compat \
	inets_regexp

INTERNAL_HRL_FILES = inets_internal.hrl
EXTERNAL_HRL_FILES = ../../include/httpd.hrl \
	../../include/mod_auth.hrl

ERL_FILES = $(MODULES:%=%.erl)

TARGET_FILES= \
	$(MODULES:%=$(EBIN)/%.$(EMULATOR)) \
	$(APP_TARGET) \
	$(APPUP_TARGET)

APP_FILE   = inets.app
APPUP_FILE = inets.appup

APP_SRC    = $(APP_FILE).src
APP_TARGET = $(EBIN)/$(APP_FILE)

APPUP_SRC    = $(APPUP_FILE).src
APPUP_TARGET = $(EBIN)/$(APPUP_FILE)


# ----------------------------------------------------
# FLAGS
# ----------------------------------------------------

include inets.mk

ERL_COMPILE_FLAGS += \
	$(INETS_FLAGS) \
	$(INETS_ERL_COMPILE_FLAGS)


# ----------------------------------------------------
# Targets
# ----------------------------------------------------

debug opt: $(TARGET_FILES)

clean:
	rm -f $(TARGET_FILES)
	rm -f core

docs:


# ----------------------------------------------------
# Special Build Targets
# ----------------------------------------------------

$(APP_TARGET): $(APP_SRC) ../../vsn.mk
	$(vsn_verbose)sed -e 's;%VSN%;$(VSN);' $< > $@

$(APPUP_TARGET): $(APPUP_SRC) ../../vsn.mk
	$(vsn_verbose)sed -e 's;%VSN%;$(VSN);' $< > $@


# ----------------------------------------------------
# Release Target
# ---------------------------------------------------- 
include $(ERL_TOP)/make/otp_release_targets.mk

release_spec: opt
	$(INSTALL_DIR)  "$(RELSYSDIR)/src"
	$(INSTALL_DIR)  "$(RELSYSDIR)/src/inets_app"
	$(INSTALL_DATA) $(INTERNAL_HRL_FILES) $(ERL_FILES) "$(RELSYSDIR)/src/inets_app"
	$(INSTALL_DIR)  "$(RELSYSDIR)/include"
	$(INSTALL_DATA) $(EXTERNAL_HRL_FILES) "$(RELSYSDIR)/include"
	$(INSTALL_DIR)  "$(RELSYSDIR)/ebin"
	$(INSTALL_DATA) $(TARGET_FILES) "$(RELSYSDIR)/ebin"

release_docs_spec:

info:
	@echo "APPLICATION       = $(APPLICATION)"
	@echo "INETS_DEBUG       = $(INETS_DEBUG)"
	@echo "INETS_FLAGS       = $(INETS_FLAGS)"
	@echo "ERL_COMPILE_FLAGS = $(ERL_COMPILE_FLAGS)"

=== debian/changelog ===
erlang (1:18.3.4.4+dfsg-1ubuntu2) yakkety; urgency=medium

  * Drop delta for adding +debug_info; according to the Debian changelog
    this was added elsewhere long ago, so the patch should no longer be
    needed (and is certainly not used in Ubuntu).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Aug 2016 15:49:31 -0700

erlang (1:18.3.4.4+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Aug 2016 15:30:48 -0700

erlang (1:18.3.4.4+dfsg-1) unstable; urgency=medium

  * New upstream minor release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 13 Aug 2016 11:22:08 +0300

erlang (1:18.3.4.2+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 27 Jul 2016 15:57:29 +0200

erlang (1:18.3.4.2+dfsg-1) unstable; urgency=medium

  * New upstream minor release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 25 Jul 2016 11:57:21 +0300

erlang (1:18.3.4.1+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
    - d/rules: bump the minimum compat level from 1.7 to 1.8 (openjdk8).
  * Dropped changes, included in Debian:
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jun 2016 09:34:56 -0700

erlang (1:18.3.4.1+dfsg-1) unstable; urgency=medium

  * New upstream minor release.
  * Enabled HiPE for the ppc64 and ppc64el architectures (closes: #827447).
  * Bumped Java bytecode compatibility level to 1.7.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 29 Jun 2016 10:35:57 +0300

erlang (1:18.3.4+dfsg-1ubuntu2) yakkety; urgency=medium

  * Drop d/patches/fix-pointer-conversion.patch, per Debian maintainer it's
    no longer required.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jun 2016 19:29:09 -0700

erlang (1:18.3.4+dfsg-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/patches/fix-pointer-conversion.patch: Remove implicit integer to
      pointer conversion.
    - d/rules: Add "+debug_info" to ERL_COMPILE_FLAGS for debug builds.
    - d/rules: Use "-DEPMD6" in CPPFLAGS and ensure this is passed to
      relevant bits of the build process, enabling IPv6 support.
    - d/control: Build erlang-base-hipe on ppc64 and ppc64el.
    - Drop erlang-wx from the Recommends: of erlang-examples, so that this
      still stays out of main.
  * Dropped changes, no longer needed:
    - d/p/bytecode-compat.patch: Specify a lower level of bytecode
      compatibility when compiling Java source code.
  * debian/rules: bump the minimum compat level from 1.5 to 1.8 (openjdk8),
    which is the lowest version we can expect anyone to care about
    post-xenial.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 16 Jun 2016 10:50:49 +0300

erlang (1:18.3.4+dfsg-1) unstable; urgency=medium

  * New upstream minor release (closes: #827363).
  * Switched to Github for downloading the code because the minor updates
    haven't been released as tarballs on erlang.org.
  * Added libxml2-utils to the build dependencies because of xmllint (it
    is required for building docs).
  * Bumped standards version to 3.9.8.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 15 Jun 2016 15:19:45 +0300

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Section: interpreters
 Priority: optional
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 8.0.0), autoconf (>= 2.50), openssl, libssl-dev, m4,
  libncurses5-dev, autotools-dev, unixodbc-dev, bison, flex, ed,
  libwxgtk3.0-dev, dctrl-tools, xsltproc,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev,
  libsctp-dev [linux-any], libsystemd-dev [linux-any], dh-systemd
-Build-Depends-Indep: fop, default-jdk | sun-java6-jdk
+Build-Depends-Indep: libxml2-utils, fop, default-jdk | sun-java6-jdk
 Build-Conflicts: autoconf2.13, libwxgtk2.4-dev, libwxgtk2.6-dev, libwxgtk2.8-dev
 Homepage: http://www.erlang.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-erlang/erlang/trunk/

=== debian/rules ===
--- 
+++ 
@@ -71,18 +71,16 @@
 CFLAGS=-g -O2 -fno-strict-aliasing
 GEN_OPT_FLGS=-O2 -fno-strict-aliasing
 TYPE=debug
-ERL_COMPILE_FLAGS="+debug_info"
 else
 CFLAGS=-g -O2 -fno-strict-aliasing
 GEN_OPT_FLGS=-O2 -fno-strict-aliasing
 TYPE=
-ERL_COMPILE_FLAGS=""
 endif
 
 # Enable IPv6 support in epmd
 CPPFLAGS=-DEPMD6
 
-JAVA_OPTIONS=-source 1.5 -target 1.5
+JAVA_OPTIONS=-source 1.8 -target 1.8
 
 JOBS=4
 
@@ -108,6 +106,7 @@
 	for i in `find ${ROOT_DIR} -name 'config.sub~'` ; do \
 	    mv $$i $${i%%\~} ; \
 	done
+	rm -f lib/configure.in
 	#
 	# Remove files, which were generated from templates
 	for i in debian/*.in debian/scripts/*.in ; do \
@@ -168,11 +167,8 @@
 	done
 	#
 	# Regenerate configure scripts using autoconf
-	for i in `find ${ROOT_DIR} -not \( -wholename '*/.pc' -prune \) \
-				    -a -name 'configure.in' -printf "%h\n"`; do \
-	    echo "autoconf'ing $${i}"; \
-	    (cd $${i} && autoconf) \
-	done
+	./otp_build autoconf
+	#
 	touch automake-stamp
 
 configure-hipe: configure-hipe-stamp
@@ -184,7 +180,6 @@
 	[ ! -f Makefile ] || ${MAKE} -j ${JOBS} clean
 	rm -f lib/dialyzer/SKIP
 	#
-	ERL_COMPILE_FLAGS="$(ERL_COMPILE_FLAGS)" \
 	CFLAGS="$(CFLAGS)" \
 	CPPFLAGS="$(CPPFLAGS)" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
@@ -217,7 +212,6 @@
 	[ ! -f Makefile ] || ${MAKE} -j ${JOBS} clean
 	rm -f lib/dialyzer/SKIP
 	#
-	ERL_COMPILE_FLAGS="$(ERL_COMPILE_FLAGS)" \
 	CFLAGS="$(CFLAGS)" \
 	CPPFLAGS="$(CPPFLAGS)" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
@@ -259,3 +253,11 @@
 	# Correct ERL_ROOT in RELEASES file
 	sed 's!%ERL_ROOT%!/usr/lib/erlang!' \
 	    $(INSTALL_DIR)/usr/lib/erlang/releases/RELEASES.src \
+	    >$(INSTALL_DIR)/usr/lib/erlang/releases/RELEASES
+
+	# Get rid of windows cruft
+	find $(INSTALL_DIR) -name *.bat -exec rm -v {} \;
+
+	# Fix permissions
+	cp $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin/start_erl.src \
+	   $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin/start_erl

## erlang 19.2+dfsg

=== debian/changelog ===
erlang (1:19.2+dfsg-1ubuntu0ppa1~wily) wily; urgency=medium

  * Rebuild for ubuntu.
  * Enable dirty schedulers.

 -- Jakub Kudzia <jakub.kudzia@outlook.com>  Wed, 28 Dec 2016 12:22:50 +0000

erlang (1:19.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Removed the patch which fixed HiPE build with PIE enabled by default in
    the GCC C compiler, because it's been applied upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Dec 2016 23:32:53 +0300

erlang (1:19.1.6+dfsg-2) unstable; urgency=medium

  * Use the solution from upstream to build HiPE if GCC enables PIE by default.
    The previous one breaks erlang-wx (closes: #844593).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 19 Nov 2016 12:45:43 +0300

erlang (1:19.1.6+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 11 Nov 2016 08:26:20 +0300

erlang (1:19.1.5+dfsg-2) unstable; urgency=medium

  * Temporarily switched to libssl1.0-dev until porting to OpensSSL 1.1 is
    complete.
  * Added -fno-pie -no-pie GCC flags to make sure the HiPE build works
    (closes: #842998).
  * Enabled verbose build logs to make them more useful in debugging.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Nov 2016 09:07:18 +0300

erlang (1:19.1.5+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Oct 2016 07:45:04 +0300

erlang (1:19.1.4+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 Oct 2016 09:50:31 +0300

erlang (1:19.1.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Removed dangled symlink (closes: #839854).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Oct 2016 13:33:30 +0300

erlang (1:19.1.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 29 Sep 2016 23:17:19 +0300

erlang (1:19.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Refined patches which fix function prototype in beamload.c and help
    with FTBFS on x32.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 21 Sep 2016 15:02:56 +0300

erlang (1:19.0.7+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Sep 2016 16:27:48 +0300

erlang (1:19.0.6+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Sep 2016 11:02:02 +0300

erlang (1:19.0.5+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 04 Sep 2016 09:49:08 +0300

erlang (1:19.0.5+dfsg-2) experimental; urgency=medium

  * Dropped the erlang-test-server binary package since the corresponding
    application has been removed from the upstream distribution.
  * Adjusted the binary packages interdependencies.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 03 Sep 2016 11:47:54 +0300

erlang (1:19.0.5+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 18 Aug 2016 09:30:31 +0300

erlang (1:19.0.4+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Dropped the erlang-webtool binary package since the corresponding
    application has been removed from the upstream distribution.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 13 Aug 2016 10:52:09 +0300

erlang (1:19.0.2+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 15 Jul 2016 15:57:00 +0300

erlang (1:19.0.1+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Disabled HiPE for the sparc64 architecture because it causes FTBFS.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 30 Jun 2016 16:36:21 +0300

erlang (1:19.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.
  * Enabled HiPE for the ppc64, ppc64el, and sparc64 architectures.
  * Bumped Java bytecode compatibility level to 1.7.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 29 Jun 2016 10:59:29 +0300

erlang (1:19.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Upload to experimental.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 15 Jun 2016 15:31:10 +0300

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 -include ${ROOT_DIR}/lib/jinterface/vsn.mk
 -include ${ROOT_DIR}/lib/ic/vsn.mk
 -include ${ROOT_DIR}/lib/tools/vsn.mk
--include ${ROOT_DIR}/lib/webtool/vsn.mk
 -include ${ROOT_DIR}/lib/common_test/vsn.mk
 -include ${ROOT_DIR}/lib/snmp/vsn.mk
 -include ${ROOT_DIR}/lib/hipe/vsn.mk
@@ -68,11 +67,13 @@
 LIBSCTPDEP=$(shell grep-status -s Version -PX $(LIBSCTP) | sed -e's!^Version: \(.*\)-[^-]*!$(LIBSCTP) (>= \1)!')
 
 ifeq ($(findstring debug,$(DEB_BUILD_OPTIONS)),debug)
-CFLAGS=-g -O2 -fno-strict-aliasing
+CFLAGS=-g -O2 -fno-strict-aliasing -fno-pie
+LDFLAGS=-fno-pie
 GEN_OPT_FLGS=-O2 -fno-strict-aliasing
 TYPE=debug
 else
-CFLAGS=-g -O2 -fno-strict-aliasing
+CFLAGS=-g -O2 -fno-strict-aliasing -fno-pie
+LDFLAGS=-fno-pie
 GEN_OPT_FLGS=-O2 -fno-strict-aliasing
 TYPE=
 endif
@@ -80,7 +81,7 @@
 # Enable IPv6 support in epmd
 CPPFLAGS=-DEPMD6
 
-JAVA_OPTIONS=-source 1.8 -target 1.8
+JAVA_OPTIONS=-Xlint -source 1.7 -target 1.7
 
 JOBS=4
 
@@ -182,6 +183,7 @@
 	#
 	CFLAGS="$(CFLAGS)" \
 	CPPFLAGS="$(CPPFLAGS)" \
+	LDFLAGS="$(LDFLAGS)" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
 		    --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr \
@@ -199,7 +201,9 @@
 		    --with-ssl-rpath=no \
 		    --enable-ethread-pre-pentium4-compatibility \
 		    --enable-shared-zlib \
-		    --without-ssl-zlib
+		    --without-ssl-zlib \
+		    --disable-silent-rules \
+		    --enable-dirty-schedulers
 	#
 	touch configure-hipe-stamp
 
@@ -214,6 +218,7 @@
 	#
 	CFLAGS="$(CFLAGS)" \
 	CPPFLAGS="$(CPPFLAGS)" \
+	LDFLAGS="$(LDFLAGS)" \
 	./configure --host=$(DEB_HOST_GNU_TYPE) \
 		    --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr \
@@ -231,7 +236,9 @@
 		    --with-ssl-rpath=no \
 		    --enable-ethread-pre-pentium4-compatibility \
 		    --enable-shared-zlib \
-		    --without-ssl-zlib
+		    --without-ssl-zlib \
+		    --disable-silent-rules \
+		    --enable-dirty-schedulers
 	#
 	touch configure-stnd-stamp
 
@@ -256,8 +263,3 @@
 	    >$(INSTALL_DIR)/usr/lib/erlang/releases/RELEASES
 
 	# Get rid of windows cruft
-	find $(INSTALL_DIR) -name *.bat -exec rm -v {} \;
-
-	# Fix permissions
-	cp $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin/start_erl.src \
-	   $(INSTALL_DIR)/usr/lib/erlang/erts-$(VSN)/bin/start_erl
